%define short_name taglibs-standard

Name: jakarta-%short_name
Version: 1.1.1
Release: alt1
Summary: An open-source implementation of the JSP Standard Tag Library
License: Apache Software License
Group: Development/Java
Url: http://jakarta.apache.org/taglibs/
Source: %name-%version-src.tar.bz2

BuildArch: noarch
BuildPreReq: /proc rpm-build-java
BuildRequires: ant servletapi5
Requires: java-common servletapi5

%description
This directory contains releases for the 1.1.x versions of the Standard
Tag Library, Jakarta Taglibs's open-source implementation of the JSP
Standard Tag Library (JSTL), version 1.1. JSTL is a standard under the
Java Community Process.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n %name-%version-src
cat > build.properties <<EOBP
build.dir=build
dist.dir=dist
servlet24.jar=%_javadir/servletapi5.jar
jsp20.jar=%_javadir/jspapi5.jar
EOBP

%build
%__ant \
	-Dfinal.name=%short_name \
	-f standard/build.xml \
	dist

%install
# jars
%__mkdir_p %buildroot%_javadir
%__cp -p standard/dist/standard/lib/jstl.jar %buildroot%_javadir
%__cp -p standard/dist/standard/lib/standard.jar %buildroot%_javadir/jakarta-taglibs-standard.jar

# javadoc
%__mkdir_p %buildroot%_javadocdir/%name
%__cp -pr standard/dist/standard/javadoc/* %buildroot%_javadocdir/%name

%files
%doc standard/README_src.txt standard/README_bin.txt standard/dist/doc/doc/standard-doc/*.html
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Wed Mar 30 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1.1-alt1
- Initial build for ALT Linux Sisyphus

